[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ThreadGetPriority

Return the priority of a thread.

## Declaration

Source position: threadh.inc line 142

`function ThreadGetPriority(`
`threadHandle: TThreadID`
`):LongInt;`

## Description

ThreadGetPriority returns the priority of thread TThreadID to Prio. The returned priority is a value between -15 and 15.

## Errors

None.

## See also

ThreadSetPriority |  | Set the priority of a thread.

Documentation generated on: Feb 26 2014